%define aurox_ver 11.0
%define rel 1


Summary:	An Gadu-Gadu client for online messaging
Summary(pl):	Klient Gadu-Gadu do przesyania wiadomoci po sieci
Name:		kadu
Version:	0.4.1
Vendor:		Kadu Team
Release: 	%{aurox_ver}.aur.%{rel}
License:	GPL
Group:		Applications/Internet
Source:		%{name}-%{version}.tar.bz2
Source1:        kadu.desktop
URL:		http://%{name}.net/
BuildRequires:	libtool
BuildRequires:	qt-devel >= 3.2
BuildRequires:	libsndfile-devel >= 1.0.11
BuildRequires:  libao-devel
Requires:	libao
Requires:	qt >= 3.2
Requires:	libsndfile >= 1.0.11
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Packager:	Roman Krzystyniak <Ron_K@tlen.pl>, Aurox Team <aurox@aurox.org>

%define opt_ssl         1
%define opt_pthread     1
%define opt_libgadu     1
%define opt_voice       1

%define                _qtdir          /usr/lib/qt-3.3
%define                _iconsdir       /usr/share/icons/hicolor/32x32/apps
%define                _miconsdir      /usr/share/icons/hicolor/16x16/apps
%define                _liconsdir      /usr/share/icons/hicolor/48x48/apps
%define                _includedir     /usr/include

%description
Kadu is a client of the Gadu-Gadu protocol. It's an IM client for Linux and UN*X.

%description -l pl
Kadu jest klientem protokou Gadu-Gadu, napisanym w oparciu o bibliotek Qt3.
Inaczej mwic, jest komunikatorem dla Linuksa (oraz, przy niewielkim
wysiku, innych systemw UN*Xowych). Obsuguje protok GG6.0, rozmowy
gosowe, przesyanie plikw P2P, animowane emotikony, zestawy dwikowe, moduy.

%package devel
Summary: Development headers for Kadu.
Group: Development/Libraries
Requires: %{name} = %{version}
%description devel
Development headers for Kadu.
%description -l pl devel
Biblioteki nagwkowe dla Kadu.

%prep
%setup -q -n %{name}

%build
export QTDIR=%{_qtdir}
cat << EOF > .config
module_docking=y
module_x11_docking=m
module_wmaker_docking=m
module_encryption=y
module_speech=m
module_voice=m
module_dcc=m
module_sound=m
module_ext_sound=m
module_dsp_sound=m
module_arts_sound=m
module_esd_sound=m
module_nas_sound=n
module_sms=y
module_default_sms=y
module_autoaway=m
module_autoresponder=m
module_echo=m
module_tcl_scripting=n
module_xmms=n
module_amarok=n
module_filedesc=n
module_mail=n
module_spellchecker=n
module_pcspeaker=n
EOF
./configure --prefix=/usr --enable-pheaders --enable-dist-info=Aurox 
make

%install
rm -rf %buildroot
make install DESTDIR=%buildroot
install -d %buildroot%{_miconsdir}
install -d %buildroot%{_iconsdir}
install -d %buildroot%{_liconsdir}
install -d %buildroot%{_datadir}/applications
install %buildroot/usr/share/pixmaps/%{name}-16.png %buildroot%{_miconsdir}/%{name}.png
install %buildroot/usr/share/pixmaps/%{name}.png %buildroot%{_iconsdir}/%{name}.png
install %buildroot/usr/share/pixmaps/%{name}-48.png %buildroot%{_liconsdir}/%{name}.png
install -m 644 %{SOURCE1} %buildroot/%_datadir/applications/aurox-kadu.desktop


rm -rf %buildroot/usr/share/applnk
rm -rf %buildroot/usr/share/pixmaps
rm -f %buildroot/usr/include/*.h
rm -rf %buildroot/usr/lib


%clean
rm -rf %buildroot
rm -rf $RPM_BUILD_DIR/%{name}


%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/*
%doc AUTHORS README ChangeLog COPYING HISTORY THANKS
%{_datadir}/%{name}
%{_datadir}/applications/aurox-kadu.desktop
%{_miconsdir}
%{_iconsdir}
%{_liconsdir}

%files devel
%defattr(0644,root,root,0755)
%{_includedir}/*

%changelog
* Thu Aug 04 2005 Rafal Kwasny <rkwasny@aurox.org> - 0.4.1-11.0.aur.1
- New release.
- Rebuilt.
